AuthKit is a user management platform that provides a set of user authentication and organization security features designed to provide a fast, scalable integration while handling all of the user management complexity that comes with advanced B2B customer needs.
To automatically respond to AuthKit activities, like authentication and changes related to the users, use the corresponding events.
Creates a new CORS origin for the current environment. CORS origins allow browser-based applications to make requests to the WorkOS API.
curl --request POST \ --url "https://api.workos.com/user_management/cors_origins" \ --header "Authorization: Bearer sk_example_123456789" \ --header "Content-Type: application/json" \ -d @- <<'BODY' { "origin": "https://example.com" } BODY
POST/user_management /cors_originsReturns Update the JWT template for the current environment.
curl --request PUT \ --url "https://api.workos.com/user_management/jwt_template" \ --header "Authorization: Bearer sk_example_123456789" \ --header "Content-Type: application/json" \ -d @- <<'BODY' { "content": "{\"iss\": \"{{environment.id}}\", \"sub\": \"{{user.id}}\"}" } BODY
PUT/user_management /jwt_templateReturns Creates a new redirect URI for an environment.
curl --request POST \ --url "https://api.workos.com/user_management/redirect_uris" \ --header "Authorization: Bearer sk_example_123456789" \ --header "Content-Type: application/json" \ -d @- <<'BODY' { "uri": "https://example.com/callback" } BODY
POST/user_management /redirect_urisReturns